Package twisted :: Package protocols :: Module smtp :: Class SMTPSender

[show private | hide private]
[frames | no frames]

## Class SMTPSender

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                  SMTPClient --+
                               |
                              SMTPSender

Utility class for sending emails easily - use with SMTPSenderFactory.

Method Summary
| `__init__(self, identity)` (inherited from `SMTPClient`)
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made. (inherited from `SMTPClient`)
| ``dataReceived`(self, data)` Protocol.dataReceived. (inherited from `LineReceiver`)
| ``getMailData`(self)` Return file-like object containing data of message to be sent.
| ``getMailFrom`(self)` Return the email address the mail is from.
| ``getMailTo`(self)` Return a list of emails to send to.
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached. (inherited from `LineReceiver`)
| ``lineReceived`(self, line)` Override this for when each line is received. (inherited from `SMTPClient`)
| `pauseProducing(self)` (inherited from `SMTPClient`)
| ``rawDataReceived`(self, data)` Override this for when raw data is received. (inherited from `LineReceiver`)
| ``resumeProducing`(self)` Write another (inherited from `SMTPClient`)
| ``sendLine`(self, line)` Sends a line to the other end of the connection. (inherited from `LineReceiver`)
| `sendToOrData(self)` (inherited from `SMTPClient`)
| ``sentMail`(self, addresses)` Called with list of emails to which we sent the message.
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver. (inherited from `LineReceiver`)
| ``setRawMode`(self)` Sets the raw mode of this receiver. (inherited from `LineReceiver`)
| `smtpCode_220_helo(self, line)` (inherited from `SMTPClient`)
| `smtpCode_221_quit(self, line)` (inherited from `SMTPClient`)
| `smtpCode_250_afterData(self, line)` (inherited from `SMTPClient`)
| `smtpCode_250_afterFrom(self, line)` (inherited from `SMTPClient`)
| `smtpCode_250_from(self, line)` (inherited from `SMTPClient`)
| `smtpCode_250_to(self, line)` (inherited from `SMTPClient`)
| `smtpCode_354_data(self, line)` (inherited from `SMTPClient`)
| `smtpCode_550_to(self, line)` (inherited from `SMTPClient`)
| ``smtpCode_default`(self, line)` Deal with unexpected SMTP messages.
| `stopProducing(self)` (inherited from `SMTPClient`)

Class Variable Summary
`int` | `done`

Method Details

### getMailData(self)

Return file-like object containing data of message to be sent.

The file should be a text file with local line ending convention, i.e. readline() should return a line ending in '\n'.

  Overrides:
    `twisted.protocols.smtp.SMTPClient.getMailData` (inherited documentation)

### getMailFrom(self)

Return the email address the mail is from.

  Overrides:
    `twisted.protocols.smtp.SMTPClient.getMailFrom` (inherited documentation)

### getMailTo(self)

Return a list of emails to send to.

  Overrides:
    `twisted.protocols.smtp.SMTPClient.getMailTo` (inherited documentation)

### sentMail(self, addresses)

Called with list of emails to which we sent the message.

  Overrides:
    `twisted.protocols.smtp.SMTPClient.sentMail` (inherited documentation)

### smtpCode_default(self, line)

Deal with unexpected SMTP messages.

Class Variable Details

### done

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Thu May 8 13:16:47 2003 | http://epydoc.sf.net